/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */
import { NgModule, ModuleWithProviders, CUSTOM_ELEMENTS_SCHEMA } from "@angular/core";
import { CommonModule } from "@angular/common";
import { FormsModule, ReactiveFormsModule } from "@angular/forms";
import { MatInputModule, MatFormFieldModule } from "@angular/material";
import { EmojiInputComponent } from "./src/emoji-input/emoji-input.component";
import { EmojiService } from "./src/emoji.service";
export class EmojiPickerModule {
    /**
     * @return {?}
     */
    static forRoot() {
        return {
            ngModule: EmojiPickerModule,
            providers: [
                EmojiService
            ]
        };
    }
}
EmojiPickerModule.decorators = [
    { type: NgModule, args: [{
                imports: [
                    CommonModule,
                    FormsModule,
                    MatInputModule,
                    MatFormFieldModule,
                    ReactiveFormsModule
                ],
                declarations: [
                    EmojiInputComponent
                ],
                providers: [
                    EmojiService
                ],
                exports: [
                    EmojiInputComponent
                ],
                schemas: [CUSTOM_ELEMENTS_SCHEMA]
            },] },
];
/** @nocollapse */
EmojiPickerModule.ctorParameters = () => [];
function EmojiPickerModule_tsickle_Closure_declarations() {
    /** @type {!Array<{type: !Function, args: (undefined|!Array<?>)}>} */
    EmojiPickerModule.decorators;
    /**
     * @nocollapse
     * @type {function(): !Array<(null|{type: ?, decorators: (undefined|!Array<{type: !Function, args: (undefined|!Array<?>)}>)})>}
     */
    EmojiPickerModule.ctorParameters;
}
//# sourceMappingURL=emoji-picker.module.js.map