import { OnInit, AfterViewInit, OnChanges } from '@angular/core';
import { FormGroup } from '@angular/forms';
import { EmojiService } from '../emoji.service';
export declare class EmojiInputComponent implements OnInit, AfterViewInit, OnChanges {
    emojiService: EmojiService;
    textArea: any;
    popupAnchor: string;
    inputClass: string;
    searchClass: string;
    onEnter: Function;
    model: any;
    autofocus: boolean;
    closeAfterSelection: boolean;
    group: FormGroup;
    placeHolder: string;
    modelChange: any;
    setPopupAction: any;
    blur: any;
    focus: any;
    keyup: any;
    emojiClick: any;
    textareaEl: any;
    inputEl: any;
    input: string;
    filterEmojis: string;
    filteredEmojis: any[];
    allEmojis: Array<any>;
    popupOpen: boolean;
    lastCursorPosition: number;
    constructor(emojiService: EmojiService);
    clickedOutside($event: any): void;
    ngOnInit(): void;
    ngAfterViewInit(): void;
    ngOnChanges(): void;
    onKeyup(event: any): void;
    onBlur(event: any): void;
    onFocus(event: any): void;
    clean(): void;
    openPopup($event: Event, status?: boolean): void;
    updateFilteredEmojis(): void;
    getFilteredEmojis(): any[];
    onEmojiClick(e: any): void;
    onChange(newValue: any): void;
    updateCursor(): void;
}
